/*
Simple Internet Radio Demo
esp32-i2s-simple-radio.ino
Simple ESP32 I2S radio
Uses MAX98357 I2S Amplifier Module
Uses ESP32-audioI2S Library - https://github.com/schreibfaul1/ESP32-audioI2S

DroneBot Workshop 2022
https://dronebotworkshop.com
*/

// Include required libraries
#include "Arduino.h"
#include "WiFi.h"
#include "Audio.h"

// Define I2S connections
#define I2S_DOUT 22
#define I2S_BCLK 26
#define I2S_LRC 25

// Create audio object
Audio audio;
const int potPin = 33;
float potvalue=0.00;
float volume;


// Wifi Credentials
String ssid = "cohabit";
String password = "lewifidecohabit";

void setup()
{

// Start Serial Monitor
Serial.begin(115200);

// Setup WiFi in Station mode
WiFi.disconnect();
WiFi.mode(WIFI_STA);
WiFi.begin(ssid.c_str(), password.c_str());

while (WiFi.status() != WL_CONNECTED)
{
delay(500);
Serial.print(".");
}

// WiFi Connected, print IP to serial monitor
Serial.println("");
Serial.println("WiFi connected");
Serial.println("IP address: ");
Serial.println(WiFi.localIP());
Serial.println("");
Serial.print("connected");

// Connect MAX98357 I2S Amplifier Module
audio.setPinout(I2S_BCLK, I2S_LRC, I2S_DOUT);
Serial.print("coucou");

// Set thevolume (0-100)
audio.setVolume(100);
Serial.println("toto");
audio.connecttohost("http://194.97.151.146/antenne");
Serial.println("connexion antenne");
}

void loop()

{
//Run audio player
potvalue=analogRead(potPin);
volume = potvalue / 40.95;
int(volume);
//Serial.println("%d",volume);
audio.setVolume(volume);
audio.loop();
}